use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
	      'NAME'	     => 'Lingua::Lojban',
	      'VERSION_FROM' => 'Lojban.pm', # finds $VERSION
	      'dist'         => { COMPRESS => 'gzip', SUFFIX => 'gz' },
);

# needs GDBM_File (although that could probably be reduced to just AnyDBM_File)
# needs Storable
# needs Getopt::Long

sub MY::postamble {
    <<'EOF';

# this needs to be added to the Makefile somewhere

all :: build_word_dbs
	@$(NOOP)

build_word_dbs: $(INST_ARCHLIB)/gismu.gdbm $(INST_ARCHLIB)/rafsi.gdbm
	@$(NOOP)

$(INST_ARCHLIB)/gismu.gdbm: data/gismu makedb/builddb.pl
	@echo Building gismu database file...
	$(PERL) ./makedb/builddb.pl --dbfile $(INST_ARCHLIB)/gismu.gdbm \
		--gismu data/gismu

$(INST_ARCHLIB)/rafsi.gdbm: data/rafsi makedb/buildrafsidb.pl
	@echo Building rafsi database file...
	$(PERL) ./makedb/buildrafsidb.pl --dbfile $(INST_ARCHLIB)/rafsi.gdbm \
		--rafsi data/rafsi

# at build time, $INST_ARCHLIB is blib/arch/

EOF
}
