#! /usr/local/bin/perl -w

use Lingua::Lojban qw(gismu);

# start by defining the "study set": the set of 20ish words we're going to work
# on this time. For now, hardwire it to some words that happen to be used
# in the first chapter of the draft textbook. Eventually this should be picked
# based upon how well they're learning things

@set = qw(bikla birka blanu botpi cmalu
	  cpana cukta darxi dunda jubme
	  karce klama plise prenu sanli
	  senci stedu stizu tanxe tavla
	  tuple xunre zarci zutse);
foreach (@set) {
    $set_hash{$_} = 1;
}

# a function to return some random gismu for use in "pick one of three" tests.
# this should be close enough to the area of study to be challenging
# it should also not return any duplicates, nor any word that matches the
# correct answer
sub chaff_gismu {
    my($count,$correct) = @_;
    my(%h) = %set_hash;
    delete($h{$correct});
    my(@chaff);
    while($count--) {
	my(@left) = keys(%h);
	my $c = $left[int(rand() * $#left)];
	push(@chaff, $c);
	delete($h{$c});
    }
    return(@chaff);
}
    
# display a gismu, the user chooses from a list of english equivalents
# return 1 if they got it right, 0 if not
sub test_chooseenglish {
    my($gismu) = @_;
    my(@chaff) = chaff_gismu(4,$gismu);
    my $answer = int(rand(5)); # pick where the answer will go
    my(@gismu) = @chaff; # make up the list of answers, insert the correct one
    if ($answer == 4) {
	$gismu[4] = $gismu;
    } else {
	$gismu[4] = $gismu[$answer];
	$gismu[$answer] = $gismu;
    }
    my(@answers) = map { gismu($_)->{'english'} } @gismu;
    print "\n";
    print "GISMU: $gismu\n";
    print "english equivalent:\n";
    foreach my $i (0 .. 4) {
	print " ",$i+1,": $answers[$i]\n";
    }
    my $response;
    do {
	print "which? :";
	$response = <>;
    } until $response =~ /^\d/;
    chomp($response);
    if ($response - 1 == $answer) {
	print "yes!\n";
	return 1;
    } else {
	print "no. Correct answer was '",gismu($gismu)->{'english'},"'\n";
	return 0;
    }
}

foreach (@set) {
    test_chooseenglish($_);
}

#print join(':',get_randomgismu(5)),"\n";
