#!/usr/local/bin/perl -w

use Lingua::Lojban qw(split_lujvo gismu);

# take a lujvo and figure out which gismu make it up
# start on the left. look at the first 5 letters and see if it could be
# a gismu (CVCCV or CCVCV). This is only legal at the end of a lujvo
# Failing that, see if the first 4 letters could be a 4-letter rafsi (the
# first 4 letters of a gismu) and the 5th is "y". If so, chop it off (and
# drop the y) and continue. If not, look at the first 3 letters (ignoring
# "'") and look them up in the rafsi list.
#  how to detect the hyphen (r or n) to remove it?
# about page 68 of the reference grammar. tricky. I think it would be better
# to start with a program to take a list of gismu and produce the possible
# lujvo, then begin to contemplate the opposite direction

foreach(@ARGV) {
    print "$_: ";
    my(@s) = split_lujvo($_);
    if(@s) {
	print join('+',@s);
	print " (";
	print join('+', map { my $gismu = gismu($_); $gismu->{'english'} } @s);
	print ")\n";
    } else {
	print "couldn't split\n";
    }
}


